Bug 750810 - preupgrade doesn't update grub
preupgrade doesn't update grub
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-02 08:35 EDT by Petr Schindler
Modified: 2012-08-16 17:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (11.81 KB, text/x-log)
2011-11-02 09:35 EDT, Petr Schindler
no flags Details
grub.conf (1.29 KB, application/octet-stream)
2011-11-02 09:39 EDT, Petr Schindler
no flags Details
/var/log/messages (657.98 KB, application/octet-stream)
2011-11-02 09:39 EDT, Petr Schindler
no flags Details

  None (edit)
Description Petr Schindler 2011-11-02 08:35:38 EDT
Description of problem:
New kernel isn't added into a grub.cfg after preupgrade. In /boot/grub/grub.conf is entry with title "Upgrade to Fedora 16 ...", but no f16 kernel.
System boots correctly, but it boots f15 kernel. All installed packages seems to be from f16 repos. Also kernel is installed properly. 

Version-Release number of selected component (if applicable):
preupgrade 1.1.9-1.fc15

How reproducible:
Tried once

Steps to Reproduce:
Follow this testcase: https://fedoraproject.org/wiki/QA:Testcase_Preupgrade.
Boot system, log in. Check /boot/grub/grub.conf and run 'uname -a' in grub.conf there isn't new kernal and there is upgrade entry, which shouldn't be there.
  
Actual results:
Newly installed kernel isn't in grub menu and there is forgotten entry "Upgrade ...". Grub boots old kernel (2.6.40..) by default.

Expected results:
New kernel is added to the grub and set as default, and entry "upgrade" isn't in grub.

Additional info:
When in f16 when you update kernel then it adds a new entry to the grub and sets it as default. It works properly then.
Comment 1 Kamil Páral 2011-11-02 08:52:09 EDT
Let me simplify the bug description. If you preupgrade from F15 to F16, these are the current issues:

1. Grub is not upgraded to Grub 2 (that may be intentional).

2. Latest kernel is installed in the system, but not added to grub.cfg. It means you still boot fc15 kernel by default. (That issue is fixed once a new kernel appears in updates repository).

3. There is a left-over item in grub.cfg named "Upgrade to Fedora 16". Fortunately it's unbootable. But it should have been erased after upgrade was completed.
Comment 2 Petr Schindler 2011-11-02 09:35:59 EDT
Created attachment 531351 [details]
anaconda.log
Comment 3 Petr Schindler 2011-11-02 09:39:03 EDT
Created attachment 531353 [details]
grub.conf

There is already added new kernel (Fedora (3.1.0-7.fc16.x86_64). It was added by update of kernel. Other grub entries are those which was there after upgrade.
Comment 4 Petr Schindler 2011-11-02 09:39:35 EDT
Created attachment 531354 [details]
/var/log/messages
Comment 5 Tim Flink 2011-11-02 09:45:36 EDT
Can you re-try with the newest preupgrade (1.1.10-1.fc15)?
Comment 6 Petr Schindler 2011-11-02 11:12:15 EDT
OK, I updated preupgrade to 1.1.10-1.fc15 and it upgrades system properly with it.

So, I'm closing this bug as it is repaired in 1.1.10-1.fc15.
Comment 7 Richard Marko 2011-11-03 12:15:23 EDT
Same update should be pushed for fc14 as well. Hitting this problem with preupgrade-1.1.9-1.fc14.noarch
Comment 8 Adam Williamson 2011-11-03 12:45:26 EDT
f15 is fixed and preupgrading two versions isn't supported, so not blocker or nth. but yes, we should fix f14's preupgrade.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Fedora End Of Life 2012-08-16 17:27:13 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.